CFLAGS = -std=c99 -O2 -fomit-frame-pointer -Wall -D_BSD_SOURCE -D_GNU_SOURCE
LDFLAGS = -lfl
-BINARY = bcm43xx-asm.bin
+BINARY = b43-asm.bin
OBJECTS = parser.o scanner.o main.o initvals.o util.o args.o
# YACC related CFLAGS
install: all
-install -o 0 -g 0 -m 755 $(BINARY) $(PREFIX)/bin/
- -cp bcm43xx-asm bcm43xx-asm.inst
- -sed -i -e 's/installed=0/installed=1/' bcm43xx-asm.inst
- -install -o 0 -g 0 -m 755 bcm43xx-asm.inst $(PREFIX)/bin/bcm43xx-asm
- -rm -f bcm43xx-asm.inst
+ -cp b43-asm b43-asm.inst
+ -sed -i -e 's/installed=0/installed=1/' b43-asm.inst
+ -install -o 0 -g 0 -m 755 b43-asm.inst $(PREFIX)/bin/b43-asm
+ -rm -f b43-asm.inst
clean:
-rm -f *~ *.o *.orig *.rej $(BINARY) scanner.c scanner.h parser.c parser.h
--- /dev/null
+#!/bin/sh
+
+installed=0
+
+if [ -z "$B43_ASM" ]; then
+ if [ $installed -eq 0 ] && [ -x "./b43-asm.bin" ]; then
+ B43_ASM="./b43-asm.bin"
+ else
+ B43_ASM="b43-asm.bin"
+ fi
+fi
+
+if [ -z "$CPP" ]; then
+ CPP="cpp"
+fi
+
+if [ $# -lt 2 ]; then
+ $B43_ASM --help
+ exit 1
+fi
+
+infile="$1"
+shift
+outfile="$1"
+shift
+
+cat "$infile" | $CPP -traditional-cpp | $B43_ASM "-" "$outfile" $@
+++ /dev/null
-#!/bin/sh
-
-installed=0
-
-if [ -z "$BCM43xx_ASM" ]; then
- if [ $installed -eq 0 ] && [ -x "./bcm43xx-asm.bin" ]; then
- BCM43xx_ASM="./bcm43xx-asm.bin"
- else
- BCM43xx_ASM="bcm43xx-asm.bin"
- fi
-fi
-
-if [ -z "$CPP" ]; then
- CPP="cpp"
-fi
-
-if [ $# -lt 2 ]; then
- $BCM43xx_ASM --help
- exit 1
-fi
-
-infile="$1"
-shift
-outfile="$1"
-shift
-
-cat "$infile" | $CPP -traditional-cpp | $BCM43xx_ASM "-" "$outfile" $@
CFLAGS = -std=gnu99 -O2 -fomit-frame-pointer -Wall -D_BSD_SOURCE -D_GNU_SOURCE
LDFLAGS =
-BINARY = bcm43xx-dasm.bin
+BINARY = b43-dasm.bin
OBJECTS = main.o util.o
all: $(BINARY)
install: all
-install -o 0 -g 0 -m 755 $(BINARY) $(PREFIX)/bin/
- -cp bcm43xx-dasm bcm43xx-dasm.inst
- -sed -i -e 's/installed=0/installed=1/' bcm43xx-dasm.inst
- -install -o 0 -g 0 -m 755 bcm43xx-dasm.inst $(PREFIX)/bin/bcm43xx-dasm
- -rm -f bcm43xx-dasm.inst
+ -cp b43-dasm b43-dasm.inst
+ -sed -i -e 's/installed=0/installed=1/' b43-dasm.inst
+ -install -o 0 -g 0 -m 755 b43-dasm.inst $(PREFIX)/bin/b43-dasm
+ -rm -f b43-dasm.inst
clean:
-rm -f *~ *.o *.orig *.rej $(BINARY)
--- /dev/null
+#!/bin/sh
+
+installed=0
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 input_file.fw output_file.asm"
+ exit 1
+fi
+
+if [ -z "$B43_DASM" ]; then
+ if [ $installed -eq 0 ] && [ -x "./b43-dasm.bin" ]; then
+ B43_DASM="./b43-dasm.bin"
+ else
+ B43_DASM="b43-dasm.bin"
+ fi
+fi
+
+infile="$1"
+outfile="$2"
+
+cat "$infile" | $B43_DASM "$outfile"
+
+++ /dev/null
-#!/bin/sh
-
-installed=0
-
-if [ $# -ne 2 ]; then
- echo "Usage: $0 input_file.fw output_file.asm"
- exit 1
-fi
-
-if [ -z "$BCM43xx_DASM" ]; then
- if [ $installed -eq 0 ] && [ -x "./bcm43xx-dasm.bin" ]; then
- BCM43xx_DASM="./bcm43xx-dasm.bin"
- else
- BCM43xx_DASM="bcm43xx-dasm.bin"
- fi
-fi
-
-infile="$1"
-outfile="$2"
-
-cat "$infile" | $BCM43xx_DASM "$outfile"
-